mk-runscript(8)

NAME
mk-runscript - generate service scripts for runit

SYNOPSIS
mk-runscript --add|--remove unprivilleged USER

DESCRIPTION
Add or remove runscript into directory, specified by SVDIR environment variable. For a list of supported runscripts see below. These runscripts are too site-specific, so it is impossible to put them into binary package.

If SVDIR is not set and current user is not root, then ~/.service directory is used. If current user is root, SVDIR defaults to /etc/service.

  unprivileged
Makes sense only when invoked by root. Create a service named unprivileged.USER ; the service controls a runsvdir instance that belongs to the specified USER and supervises sevices linked in USER's ~/.service directory.

SEE ALSO
runsvdir(8)

AUTHOR
Dmitry Bogatov <KAction@gnu.org>